﻿using anbs_cp.Classes;
using anbs_cp.Extensions;

namespace demo.TestForms;
public partial class StringExtensionTest: Form
{
    public StringExtensionTest ()
    {
        InitializeComponent();
    }

    private void doItButton_Click (object sender, EventArgs e)
    {
        if (stringInput.Text.IsNullOrWhiteSpace())
        {
            resultLabel.Text = @"Ошибка! Не заполнено поле ввода строки на замену!";

            return;
        }

        if (replaceInput.Text.IsNullOrWhiteSpace())
        {
            resultLabel.Text = @"Ошибка! Не заполнено поле ввода списка замен!";

            return;
        }

        string[] lines = replaceInput.Text.ReplaceLineEndings(";").Split(';');

        KeyValueOrderedList<string> replaceList = [];

        foreach (string line in lines)
        {
            string[] splitLine = line.Split('=');

            if (splitLine.Length < 2)
                continue;

            string key = splitLine[0];
            string value = splitLine[1];

            replaceList.Add(new(key, value));
        }

        resultLabel.Text = stringInput.Text.Format(replaceList, StringComparison.CurrentCultureIgnoreCase);
    }
}
